Bug 1310313

Summary: panel applets crash with special characters in window title
Product: [Fedora] Fedora Reporter: Wolfgang Ulbrich <fedora>
Component: gtk-murrine-engineAssignee: Martin Sourada <martin.sourada>
Status: CLOSED ERRATA QA Contact: Fedora Extras Quality Assurance <extras-qa>
Severity: unspecified Docs Contact:
Priority: unspecified    
Version: 24CC: martin.sourada
Target Milestone: ---   
Target Release: ---   
Hardware: Unspecified   
OS: Unspecified   
Whiteboard:
Fixed In Version: gtk-murrine-engine-0.98.2-10.fc24 gtk-murrine-engine-0.98.2-10.fc23 gtk-murrine-engine-0.98.2-10.el7 Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of: Environment:
Last Closed: 2016-07-03 12:23:22 UTC Type: Bug
Regression: --- Mount Type: ---
Documentation: --- CRM:
Verified Versions: Category: ---
oVirt Team: --- RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: --- Target Upstream Version:
Embargoed:
Attachments:
Description Flags
fix for a possible wnch applet crash none

Description Wolfgang Ulbrich 2016-02-20 08:57:03 UTC
Created attachment 1128767 [details]
fix for a possible wnch applet crash

Description of problem:

Wnck panel applets can crash with special characters in window title if using a theme based on murriene-engine.
Ie. Japanese text ("電気グルーヴ,").

Mate desktop upstream could track down the issue, for more details see
https://github.com/mate-desktop/mate-panel/issues/328

Please apply the attached patch.

Thank you.


Version-Release number of selected component (if applicable):

all

Comment 1 Wolfgang Ulbrich 2016-02-20 08:58:49 UTC
err...i meant wnck applets

Comment 2 Wolfgang Ulbrich 2016-02-20 09:10:57 UTC
I forgot...link to upstream report with the supposed patch.
https://bugs.freedesktop.org/show_bug.cgi?id=78787#c9

Comment 3 Jan Kurik 2016-02-24 15:27:34 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 24 development cycle.
Changing version to '24'.

More information and reason for this action is here:
https://fedoraproject.org/wiki/Fedora_Program_Management/HouseKeeping/Fedora24#Rawhide_Rebase

Comment 4 Wolfgang Ulbrich 2016-06-25 15:58:23 UTC
Can you please take a look into it?

Comment 5 Fedora Update System 2016-06-25 20:45:47 UTC
gtk-murrine-engine-0.98.2-10.fc24 has been submitted as an update to Fedora 24. https://bodhi.fedoraproject.org/updates/FEDORA-2016-16a6edb745

Comment 6 Fedora Update System 2016-06-25 20:45:52 UTC
gtk-murrine-engine-0.98.2-10.fc23 has been submitted as an update to Fedora 23. https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f68c1bc95

Comment 7 Fedora Update System 2016-06-25 20:45:56 UTC
gtk-murrine-engine-0.98.2-10.el7 has been submitted as an update to Fedora EPEL 7. https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5ed3f1605b

Comment 8 Fedora Update System 2016-06-26 19:18:53 UTC
gtk-murrine-engine-0.98.2-10.el7 has been pushed to the Fedora EPEL 7 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-EPEL-2016-5ed3f1605b

Comment 9 Fedora Update System 2016-06-26 19:24:12 UTC
gtk-murrine-engine-0.98.2-10.fc23 has been pushed to the Fedora 23 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-8f68c1bc95

Comment 10 Fedora Update System 2016-06-26 19:26:11 UTC
gtk-murrine-engine-0.98.2-10.fc24 has been pushed to the Fedora 24 testing repository. If problems still persist, please make note of it in this bug report.
See https://fedoraproject.org/wiki/QA:Updates_Testing for
instructions on how to install test updates.
You can provide feedback for this update here: https://bodhi.fedoraproject.org/updates/FEDORA-2016-16a6edb745

Comment 11 Fedora Update System 2016-07-03 12:23:20 UTC
gtk-murrine-engine-0.98.2-10.fc24 has been pushed to the Fedora 24 stable repository. If problems still persist, please make note of it in this bug report.

Comment 12 Fedora Update System 2016-07-14 20:56:07 UTC
gtk-murrine-engine-0.98.2-10.fc23 has been pushed to the Fedora 23 stable repository. If problems still persist, please make note of it in this bug report.

Comment 13 Fedora Update System 2016-07-15 07:18:11 UTC
gtk-murrine-engine-0.98.2-10.el7 has been pushed to the Fedora EPEL 7 stable repository. If problems still persist, please make note of it in this bug report.